
######5fam OUwie across dietary groups#####
#find the best model first
data.frame(fiveFam_pPCA$S)->fiveFam_pPCAscores
rownames(fiveFam_pPCAscores)->fiveFam_pPCAscores$species
fivefamBioGeo[,1:2]->fivefam_diets
left_join(fivefam_diets,fiveFam_pPCAscores,by="species")->a
a[complete.cases(a),]->fivefam_OUwiedat
#fivefamOUwie.bm1fit.OUtree1<-OUwie.joint(maptree,fivefam_OUwiedat,model="BM1",
#                                     ntraits=3,allfree=F,simmap.tree=T,
#                                     root.station=T,diagn=T)
#fivefamOUwie.bmsfit.OUtree1<-OUwie.joint(maptree,fivefam_OUwiedat,model="BMS",
#                                         ntraits=3,allfree=F,simmap.tree=T,
#                                         root.station=T,diagn=T)
#fivefamOUwie.oumfit.OUtree1<-OUwie.joint(maptree,fivefam_OUwiedat,model="OUM",
#                                         ntraits=3,allfree=F,simmap.tree=T,
#                                         root.station=T,diagn=T)
#fivefamOUwie.oumvfit.OUtree1<-OUwie.joint(maptree,fivefam_OUwiedat,model="OUMV",
#                                         ntraits=3,allfree=F,simmap.tree=T,
#                                         root.station=T,diagn=T)
#fivefamOUwie.oumafit.OUtree1<-OUwie.joint(maptree,fivefam_OUwiedat,model="OUMA",
#                                         ntraits=3,allfree=F,simmap.tree=T,
#                                         root.station=T,diagn=T)
#fivefamOUwie.oumvafit.OUtree1<-OUwie.joint(maptree,fivefam_OUwiedat,model="OUMVA",
#                                         ntraits=3,allfree=F,simmap.tree=T,
#                                         root.station=T,diagn=T)
#OUMVA is best (lowest AICc by 100+)
#now run OUMVA on different stochastic maps
name.check(fiveFamSYM_Mk[[1]],all.shape.2D)->overlap
fiveFamSYM_Mk_OUwie<-lapply(fiveFamSYM_Mk,drop.tip.simmap,overlap$tree_not_data)
a<-Sys.time()
fivefamOUwie.oumva.multmaps<-list()
for(i in 1:10){ #replace with length(fiveFamSYM_Mk_OUwie) 
  print(i) #helps to know which tree it is working on
  resmat<-matrix(nrow=22,ncol=1) 
  colnames(resmat)<-"OUMVA"
  row.names(resmat)<-c("loglik","AICc","NONalpha","JUValpha","FACalpha",
                       "OBLalpha","NONSigSq","JUVSigSq","FACSigSq","OBLSigSq",
                       "NONThetaPC1","NONThetaPC2","NONThetaPC3",
                       "JUVThetaPC1","JUVThetaPC2","JUVThetaPC3",
                       "FACThetaPC1","FACThetaPC2","FACThetaPC3",
                       "OBLThetaPC1","OBLThetaPC2","OBLThetaPC3")
  for(j in 1){
    tmpres<-OUwie.joint(fiveFamSYM_Mk_OUwie[[i]],fivefam_OUwiedat,model="OUMVA",
                        ntraits=3,allfree=F,simmap.tree=TRUE,root.station=TRUE,
                        diagn=T)
    colnames(tmpres$theta)<-colnames(tmpres$solution)
    tmpres$theta<-tmpres$theta[,order(colnames(tmpres$theta))]
    tmpres$solution<-tmpres$solution[,order(colnames(tmpres$solution))]
    resmat[,j]<-c(tmpres$loglik, 
                  tmpres$AICc, 
                  tmpres$solution[1], #NON alpha
                  tmpres$solution[4], #JUV alpha
                  tmpres$solution[7], #FAC alpha
                  tmpres$solution[10],#OBL alpha
                  tmpres$solution[2,1], #sigsq NON
                  tmpres$solution[2,4], #sigsq JUV
                  tmpres$solution[2,7], #sigsq FAC
                  tmpres$solution[2,10], #sigsq OBL
                  tmpres$theta[1,1],tmpres$theta[1,2],tmpres$theta[1,3],    #NON
                  tmpres$theta[1,4],tmpres$theta[1,5],tmpres$theta[1,6],    #JUV
                  tmpres$theta[1,7],tmpres$theta[1,8],tmpres$theta[1,9],    #FAC
                  tmpres$theta[1,10],tmpres$theta[1,11],tmpres$theta[1,12]  #OBL
    )
  }
  fivefamOUwie.oumva.multmaps[[i]]<-resmat
}
b<-Sys.time()
b-a

t(cbind(fivefamOUwie.oumva.multmaps[[1]],fivefamOUwie.oumva.multmaps[[2]],
      fivefamOUwie.oumva.multmaps[[3]],fivefamOUwie.oumva.multmaps[[4]],
      fivefamOUwie.oumva.multmaps[[5]],fivefamOUwie.oumva.multmaps[[6]]
      ,fivefamOUwie.oumva.multmaps[[7]],fivefamOUwie.oumva.multmaps[[8]],
      fivefamOUwie.oumva.multmaps[[9]],fivefamOUwie.oumva.multmaps[[10]]))->fivefamOUwie.oumvaMat
as.data.frame(fivefamOUwie.oumvaMat)->fivefamOUwie.oumvaDF
median(fivefamOUwie.oumvaDF$NONalpha)
stdError(fivefamOUwie.oumvaDF$NONalpha)
summary((fivefamOUwie.oumvaDF))

###MAKE A PLOT HERE####
fivefamOUwie.oumva.gathered<-gather(fivefamOUwie.oumvaDF,
                                    "code","value",c(11,14,17,20)) #3:6 #7:10
p<-ggplot(fivefamOUwie.oumva.gathered[-12,],aes(x=code,y=value))+
  geom_point()+
  coord_cartesian(ylim=c(-0.25,0.25)) +
  theme_ridges()
p
